Subject: Re: [mpls] I-D Action: draft-ietf-mpls-bfd-directed-15.txt

From: Gyan Mishra <[email-masked]>
Date: Fri, 15 Jan 2021 17:09:04 -0500

Dear authors

I just reviewed the draft latest update on August 4th forwarded.  I agree
with the premise behind the draft and it makes sense providing the reverse
path detection of the two unidirectional LSPs creating a Co-routed
bidirectional channel for the LSP which does not exist in RFC 5884 BFD for
MPLS LSP.

As LSPs are unidirectional, this bi-directional physical link validation
feature is I agree is important for operators binding the unidirectional
LSPs into the Co-routed path for physical path continuity for fault
isolation in cases of false positive failures on a unidirectional path.
Also another problem with existing BFD LSP FEC bootstrap used for detection
is a path maybe good in one direction but their maybe problems in the other
direction on the same link possible physical such as 1 way fiber or other
issue.  So these physical continuity faults on a path is gap solved by this
draft.

I agree with the considerations section mentioned that during maintenance
that if a link along forward path fails the reverse path can reroute taking
an alternate path caveat breaking the co-routed bi directional channel.

Please let me know if you have a call to review progressing this draft and
I would be interested in attending the call.

Kind Regards

Gyan

On Tue, Aug 4, 2020 at 1:24 PM <[email-masked]> wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Multiprotocol Label Switching WG of the
> IETF.
>
>         Title           : Bidirectional Forwarding Detection (BFD)
> Directed Return Path for MPLS Label Switched Paths (LSPs)
>         Authors         : Greg Mirsky
>                           Jeff  Tantsura
>                           Ilya Varlashkin
>                           Mach(Guoyi) Chen
>         Filename        : draft-ietf-mpls-bfd-directed-15.txt
>         Pages           : 9
>         Date            : 2020-08-04
>
> Abstract:
>    Bidirectional Forwarding Detection (BFD) is expected to be able to
>    monitor a wide variety of encapsulations of paths between systems.
>    When a BFD session monitors an explicitly routed unidirectional path
>    there may be a need to direct egress BFD peer to use a specific path
>    for the reverse direction of the BFD session.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-mpls-bfd-directed/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-mpls-bfd-directed-15
> https://datatracker.ietf.org/doc/html/draft-ietf-mpls-bfd-directed-15
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-bfd-directed-15
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD